<div style="height: calc(100vh - 52px); width: calc(100vw - 10px); margin-bottom: 20px;">
    <!-- <p style="display: flex; justify-content: center;">
        <button *ngIf="user" mat-raised-button (click)="orderAndSetLocation('set')" color="accent">Place Order and Set my location</button>
    </p> -->
    <!-- <mat-grid-list style="margin: 0 2px" cols="2" rowHeight="445px" style="overflow-y: auto;" gutterSize="5px">
        <mat-grid-tile *ngFor="let item of products; index as i" class="flex-grid-tile">
            <mat-card style="height: 300px; max-width:180px; padding-top: 0px; box-shadow: none;" class="flex-center">
                <img mat-card-image src="assets/img/products/eclipse/{{item.defaultImage}}.jpg" alt="{{item.name + ' (' + item.defaultDescription + ')'}}">
            </mat-card>
            <mat-card style="height: 115px; padding-top:2px; padding-bottom: 0px; box-shadow: none;" class="flex-center">
                <div style="width: 100%; display: contents;" class="bottom-desc">
                    <strong>{{item.name}}</strong>
                    <p *ngIf="item.selections && item.selections.length > 0">{{item.defaultPrice | currency:'PHP':'symbol-narrow'}} ({{ item.selections.join(" - ") }})</p> 
                </div>
                <div style="display: content; ">
                    <mat-button-toggle-group *ngFor="let attr of enabledAttrs(item.productTypes[0].attr); index as j"
                        [name]="attr" [(value)]="item.selections[j]" aria-label="Attrubute">
                        <mat-button-toggle style="width: 24px;height: 48px;padding:0px" *ngFor="let pT of item.productTypes; first as isFirst" 
                            [hidden]="!pT.attr[attr]" 
                            [title]="pT.description"
                            [value]="pT.attr[attr]? pT.attr[attr].label : ''" 
                            [checked]="isFirst" (click)="optionCLick(item, pT.price, pT.attr[attr].label)">{{pT.attr[attr]? pT.attr[attr].value: ''}}</mat-button-toggle>
                    </mat-button-toggle-group>
                
                    <button style="margin-left: 2px" mat-mini-fab color="accent"  aria-label="Add to Cart">
                        <mat-icon>plus_one</mat-icon>
                    </button>
                </div>
            </mat-card>
            
        </mat-grid-tile>
    </mat-grid-list> -->
    <div class="content" fxLayout="row wrap" fxLayoutGap="5px grid">
        <div fxFlex.xs="50%" fxFlex.sm="50%" fxFlex.md="25%" fxFlex="25%" *ngFor="let item of products; index as i">
          <mat-card class="mat-elevation-z4 mat-card-flex">
            <!-- <mat-card-header>
              <mat-card-title>{{item.name}}</mat-card-title>
            </mat-card-header> -->
            <!-- <span class="flex-center"> -->
            <img mat-card-image class="flex-center"  src="assets/img/products/eclipse/{{item.defaultImage}}.jpg" alt="{{item.name + ' (' + item.defaultDescription + ')'}}" />
            <!-- </span> -->
            <mat-card-content>
                <div class="flex-center"><strong>{{item.name}}</strong></div>
                <div class="flex-center" *ngIf="item.selections && item.selections.length > 0">
                    <span *ngIf="getSelections(item) as itemSelections" [innerHTML]="'<strong>' +(itemSelections.price | currency:'PHP':'symbol-narrow')+ '</strong>' + ' ('+ itemSelections.selections +')'"></span>
                </div> 
            </mat-card-content>
            <mat-card-actions style="display: flex; justify-content: center; align-items: center;">
                <mat-button-toggle-group *ngFor="let attr of enabledAttrs(item.productTypes[0].attr); index as j; first as isFirstFirst"
                [name]="attr" [(value)]="item.selections[j]" aria-label="Attrubute" [ngStyle]="{'margin-left': !isFirstFirst ? '5px' : ''}">
                    <mat-button-toggle style="width: 24px;height: 48px; padding:1px" *ngFor="let pT of item.productTypes; first as isFirst; index as k" 
                        [hidden]="!pT.attr[attr]" 
                        [title]="pT.description"
                        [value]="{key: attr, value: pT.attr[attr].label}" 
                        [checked]="isFirst" (click)="optionCLick(item, pT.price)">{{pT.attr[attr]? pT.attr[attr].value: ''}}</mat-button-toggle>
                </mat-button-toggle-group>
                <button style="margin-left: 5px" mat-mini-fab color="accent" (click)="addToCart(item)"  aria-label="Add to Cart">
                    <mat-icon>plus_one</mat-icon>
                </button>
            </mat-card-actions>
          </mat-card>
        </div>
      </div>
</div>
